#include <bits/stdc++.h>
using namespace std;
#define int long long

int xin(){
    int n = 0;
    scanf("%lld", &n);
    return n;
}
bool isnull(vector<int>& a) {
    for (int i = 0; i < a.size(); i++) if (a[i]>0) return 0;
    return 1;
}
void exxa() {
    int n;
    cin >> n;
    vector<int>a(n);
    for(int i=0; i<n; i++) cin>>a[i];
    int res = 0;
    while(true){
        auto mx=max_element(a.begin(), a.end());
        res += *mx;
        bool f = 0;
        for(int i=0; i<n; i++){
            if(a[i]>0) f = 1;
            if(a[i]!=*mx)a[i]--;
        }
        *mx = 0;
        if(!f) break;
    }
    cout<<res;
}
int32_t main()
{
    //int t = xin();
    int t = 1;
    while (t--) exxa();
}